/*
**	mslide1.c
**	Copyright (c) 1991 Sebern Engineering Inc.
**
*/


#include <stdio.h>
#include <stdlib.h>
#include <Mrm/MrmAppl.h>

static MrmHierarchy	s_MrmHierarchy;
static char		*uid_file_names [] =
{
    "mslide1.uid"
};

static MrmCount		uid_file_num =
    XtNumber (uid_file_names);

static MrmType		widget_class;
static XtAppContext	mslide_app_context;
static Widget		wid_top_level;
static Widget		wid_mslide_main = (Widget) NULL;

static void cb_exit (Widget w,
		     int *tag,
		     XmAnyCallbackStruct *callback_data);

static MrmRegisterArg	reg_vec [] =
    {
	{"cb_exit",	    (caddr_t) cb_exit},
    };
static MrmCount		reg_num =
	XtNumber (reg_vec);


main (int argc, char *argv[])
{
    Arg			args[10];
    Cardinal		ac, mrm_status;

    MrmInitialize ();
    ac = 0;
    XtSetArg (args[ac],XmNallowShellResize,True); ac++;
    wid_top_level = XtAppInitialize (&mslide_app_context,
				     "Mslide",
				     (XrmOptionDescList) NULL,
				     0,
    /* For X11R4, "(Cardinal *) &argc" may be required. */
				     &argc,
				     (String *) argv,
				     (String *) NULL,
				     args,
				     ac);

    mrm_status = MrmOpenHierarchy (uid_file_num,
				   uid_file_names,
				   (MrmOsOpenParamPtr *) NULL,
				   &s_MrmHierarchy);
    if (mrm_status != MrmSUCCESS)
    {
    	printf ("Can't open hierarchy.\n");
	exit (0);
    }

    mrm_status = MrmRegisterNames (reg_vec,reg_num);
    if (mrm_status != MrmSUCCESS)
    {
    	printf ("Can't register names.\n");
	exit (0);
    }

    mrm_status = MrmFetchWidget (s_MrmHierarchy,
				 "mslide_main",
				 wid_top_level,
				 &wid_mslide_main,
				 &widget_class);
    if (mrm_status != MrmSUCCESS)
    {
    	printf ("Can't fetch main widget.\n");
	exit (0);
    }

    XtManageChild (wid_mslide_main);
    XtRealizeWidget (wid_top_level);

    XtAppMainLoop (mslide_app_context);

    /* Should not be able to reach this return. */
    return (0);
}



static void cb_exit (Widget w,
		     int *tag,
		     XmAnyCallbackStruct *callback_data)
{
    exit (0);
}
